Patch Endpoint
PATCH /endpoint/{endpoint_id} on the Webhooks API. Base URL: https://api.sinay.ai/webhook/api/v1.
Partially update an endpoint.
Path parameters
Request body
application/json, required.
| Field | Type | Required | Description |
|---|---|---|---|
description | string | No | — |
rateLimit | integer (uint16), nullable | No | Rate limit of your endpoint in messages per second. This is an advanced field. Be aware that setting a low rateLimit can lead to a congestion queue and create delay in webhooks. |
uid | string, nullable | No | The ep's UID. |
url | string (uri) | No | Public url in your services where you plan to receive our webhooks. |
version | integer (uint16) | No | — |
disabled | boolean | No | When disabled is true, no messages will be sent to your endpoint. This can be used to deactivate a development or a testing endpoint when not in use. |
filterTypes | array of string, nullable | No | — |
channels | array of string, nullable | No | List of message channels this endpoint listens to (omit for all). |
secret | string, nullable | No | The endpoint's verification secret. If null is passed, a secret is automatically generated. Format: base64 encoded random bytes optionally prefixed with whsec_. Recommended size: 24. |
metadata | object | No | Optional additional properties for your endpoint. |
metadata.<key> | string | No | — |
Responses
Body: application/json, object.
| Field | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The ep's ID. |
metadata | object | Yes | Optional additional properties for your endpoint. |
metadata.<key> | string | No | — |
description | string | Yes | An example endpoint name. |
rateLimit | integer (uint16), nullable | No | Rate limit of your endpoint in messages per second. This is an advanced field. Be aware that setting a low rateLimit can lead to a congestion queue and create delay in webhooks. |
uid | string, nullable | No | Optional unique identifier for the endpoint. |
url | string (uri) | Yes | Public url in your services where you plan to receive our webhooks. If you don't have a public url ready yet, you can use Svix play to test our webhooks https://www.svix.com/play/. |
version | integer (int32) | Yes | — |
disabled | boolean | No | When disabled is true, no messages will be sent to your endpoint. This can be used to deactivate a development or a testing endpoint when not in use. Default: false. |
filterTypes | array of string, nullable | No | — |
channels | array of string, nullable | No | List of message channels this endpoint listens to (omit for all). |
createdAt | string (date-time) | Yes | — |
updatedAt | string (date-time) | Yes | — |